#include "ItemRenderers.h"

#include "SDK/ItemActor.h"

void Hooks::ItemRenderers::callback_render(ItemRenderer* _this, BaseActorRenderContext* renderCtx, ActorRenderData* renderData) {
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onItemRenderer_render(renderData);
	}

	itemrenderer_render(_this, renderCtx, renderData);
}
